<?php
/**
 * Database connection
 *
 * @category	ICMS
 * @package		Database
 *
 * @copyright   The ImpressCMS Project <http://www.impresscms.org>
 * @license		http://www.gnu.org/licenses/old-licenses/gpl-2.0.html GNU General Public License (GPL)
 * @version		SVN: $Id$
 */

/**
 * Database connection
 *
 * @category	ICMS
 * @package		Database
 */
class icms_db_Connection extends PDO implements icms_db_IConnection {

	/**
	 *
	 * @see icms_db_IConnection::id()
	 * @param	string	$string
	 * @return	string
	 */
	public function id($string) {
		return '"' . str_replace('"', '""', $string) . '"';
	}
	
	/**
	 *
	 * @see icms_db_IConnection::escape()
	 * @param	string	$string
	 * @return	string
	 */
	public function escape($string) {
		return substr($this->quote($string), 1, -1);
	}
	
	/**
	 *
	 * @see PDO::query()
	 * @return
	 */
	public function query() {
		$args = func_get_args();
		$sql = $args[0];
		icms_Event::trigger('icms_db_IConnection', 'execute', $this, array('sql' => $args[0]));
		return call_user_func_array(array('parent', 'query'), $args);
	}
}
